import { IKey } from 'aws-cdk-lib/aws-kms';
import { BucketEncryption } from 'aws-cdk-lib/aws-s3';
import { IConstruct } from 'constructs';
export interface AthenaResultEncryptionConfiguration {
    readonly bucketEncryption: BucketEncryption;
    readonly encryptionKey?: IKey;
    readonly encryptionLabel: string;
}
export interface AthenaResultKmsEncryptionOptions {
    readonly encryptionKey?: IKey;
}
export interface IAthenaResultEncryption {
    bind(scope: IConstruct): AthenaResultEncryptionConfiguration;
}
export declare class ApacheSparkOutputEncryption {
    static sseS3(): IAthenaResultEncryption;
    static sseKms(options?: AthenaResultKmsEncryptionOptions): IAthenaResultEncryption;
}
export declare class AthenaSqlOutputEncryption {
    static cseKms(options?: AthenaResultKmsEncryptionOptions): IAthenaResultEncryption;
    static sseS3(): IAthenaResultEncryption;
    static sseKms(options?: AthenaResultKmsEncryptionOptions): IAthenaResultEncryption;
}
