import { IResolvable } from 'aws-cdk-lib';
import { IConstruct } from 'constructs';
import { IDynamicReferenceProvider } from './dynamic-reference-provider-ref';
export declare enum ParameterReferenceType {
    BOOLEAN = "String",
    NUMBER = "Number",
    NUMBER_LIST = "List<Number>",
    STRING = "String",
    STRING_LIST = "CommaDelimitedList"
}
declare class ParameterReferenceProvider implements IDynamicReferenceProvider {
    forAny(scope: IConstruct, value: IResolvable): IResolvable;
    forNumber(scope: IConstruct, value: number): number;
    forString(scope: IConstruct, value: string): string;
    forStringList(scope: IConstruct, value: string[]): string[];
}
export declare const PROVIDER_KEY = "dynamic-reference::export-parameter";
export declare const PROVIDER: ParameterReferenceProvider;
export {};
