export declare class IpFamily {
    readonly name: string;
    static readonly IPV4: IpFamily;
    static readonly IPV6: IpFamily;
    static of(name: string): IpFamily;
    private constructor();
}
export declare class AdvertiseService {
    readonly name?: string | undefined;
    static readonly EC2: AdvertiseService;
    static readonly NONE: AdvertiseService;
    static of(name: string): AdvertiseService;
    private constructor();
}
export interface NetmaskLengthOptions {
    readonly defaultNetmaskLength?: number;
    readonly maxNetmaskLength?: number;
    readonly minNetmaskLength?: number;
}
export interface Ipv4ConfigurationOptions extends NetmaskLengthOptions {
}
export interface Ipv6ConfigurationOptions extends NetmaskLengthOptions {
    readonly advertiseService?: AdvertiseService;
    readonly publiclyAdvertisable?: boolean;
}
export interface AddressConfigurationProps extends NetmaskLengthOptions {
    readonly advertiseService?: AdvertiseService;
    readonly family: IpFamily;
    readonly publiclyAdvertisable?: boolean;
}
export declare class AddressConfiguration {
    static ipv4(options?: Ipv4ConfigurationOptions): AddressConfiguration;
    static ipv6(options?: Ipv6ConfigurationOptions): AddressConfiguration;
    static of(props: AddressConfigurationProps): AddressConfiguration;
    readonly advertiseService?: AdvertiseService;
    readonly defaultNetmaskLength?: number;
    readonly family: IpFamily;
    readonly publiclyAdvertisable?: boolean;
    readonly maxNetmaskLength?: number;
    readonly minNetmaskLength?: number;
    private constructor();
}
