import { ConfigureNatOptions, GatewayConfig, NatProvider, PrivateSubnet } from 'aws-cdk-lib/aws-ec2';
import { ITransitGateway } from '../../transit-gateway';
import { TransitGatewayAttachment } from '../../transit-gateway-attachment';
export interface TransitGatewayNatProviderOptions {
    readonly transitGateway: ITransitGateway;
}
export declare class TransitGatewayNatProvider extends NatProvider {
    private readonly _configuredGateways;
    private _transitGatewayAttachment?;
    readonly transitGateway: ITransitGateway;
    get configuredGateways(): GatewayConfig[];
    get transitGatewayAttachment(): TransitGatewayAttachment | undefined;
    constructor(options: TransitGatewayNatProviderOptions);
    configureNat(options: ConfigureNatOptions): void;
    configureSubnet(subnet: PrivateSubnet): void;
}
