import { IProject } from 'aws-cdk-lib/aws-codebuild';
import { ISubnet } from 'aws-cdk-lib/aws-ec2';
import { IConstruct } from 'constructs';
import { IIpamPool, ITransitGateway } from '../ec2';
import { ISharable } from '../ram';
export declare class SharedResource implements ISharable {
    static fromArn(arn: string): SharedResource;
    static fromIpamPool(pool: IIpamPool): SharedResource;
    static fromProject(project: IProject): SharedResource;
    static fromSubnet(subnet: ISubnet): SharedResource;
    static fromTransitGateway(transitGateway: ITransitGateway): SharedResource;
    private readonly arn;
    private constructor();
    share(_scope: IConstruct): string;
}
